using System.Collections.Generic;

namespace OctreeRendering
{
    class TileInfo
    {
        public float Phi { get; set; }
        public TileType Type { get; set; }
    }

    enum TileType
    {
        GrassTop,
        LightRock,
        DarkRock
    }
    class TileTypeComparer : IEqualityComparer<TileType>
    {
        public static readonly TileTypeComparer Default = new TileTypeComparer();
        public bool Equals(TileType x, TileType y) { return x == y; }
        public int GetHashCode(TileType obj) { return (int)obj; }
    }
}
